{{- partial "skip-links.html" . -}}

<header id="header" class="fixed z-30 w-screen top-0 h-20 w-full border-b bg-white print:absolute" role="banner">
	<div class="flex items-center justify-between lg:justify-start">
		<a href="{{ .Site.Home.Permalink }}" class="flex-shrink-0 flex h-full m-0 text-gray-700 text-xl items-center lg:w-72 lg:max-w-96 xl:w-1/4" title="Lalouvesc – retour à l’accueil">
			{{ $logo := resources.Get "media/logo.svg" }}
			{{ with $logo }}
			<div id="logo" class="h-20 w-20 p-4"></div>
			{{ end }}
			<span class="pr-4 pb-1">{{ .Site.Title }}</span>
		</a>
		
		<div class="h-12 w-full mx-auto max-w-screen-xl print:hidden">
			<form name="search" id="search" role="search" class="fixed ml-px right-20 lg:right-auto lg:relative h-12 w-auto xs:w-40 sm:w-1/3 lg:w-1/4 xl:w-1/5 flex flex-shrink-0 items-center ml-20 lg:ml-0 bg-white" onSubmit="submitSearch(event)">
				<svg class="text-gray-600 w-5 h-5 absolute left-3 select-none fixed z-0" width="20" height="20" aria-hidden="true"><use xlink:href="#icon-search"/></svg>
				<label class="sr-only" for="search-input">Rechercher</label>
				<input type="search" name="search-input" id="search-input" placeholder="Rechercher" class="relative z-1 h-12 w-12 xs:w-full focus:w-full rounded bg-transparent placeholder:transparent xs:placeholder:gray-900 pl-3 xs:pl-12 focus:pl-12 focus:pl-12 pr-3 py-2 truncate focus:outline-none focus:ring-2 focus:placeholder:gray-900">
			</form>
		</div>
		{{- partial "search-result.html" . -}}

		<button
			id="nav-btn"
			:aria-expanded="isOpen"
			aria-controls="sidebar"
			@click="isOpen = !isOpen"
			class="h-12 w-12 absolute right-4 top-4 rounded flex justify-center items-center block lg:hidden text-gray-500 hover:text-gray-700 bg-white focus:outline-none focus:ring-2 print:hidden"
			:class="{ 'outline-none ring-2' : isOpen }" 
		>	
			<svg class="absolute bg-white fill-current h-4 w-4" x-show="!isOpen" viewBox="0 0 20 20" width="20" height="20" xmlns="http://www.w3.org/2000/svg">
				<title>Ouvrir le menu</title>
				<path d="M0 3h20v2H0V3z m0 6h20v2H0V9z m0 6h20v2H0V0z" />
			</svg>
			<svg class="absolute bg-white fill-current h-4 w-4 opacity-0" :class="{ 'opacity-0': !isOpen }" x-show="isOpen" viewBox="0 0 20 20" width="20" height="20" xmlns="http://www.w3.org/2000/svg">
				<title>Fermer le menu</title>
				<polygon points="11 9 22 9 22 11 11 11 11 22 9 22 9 11 -2 11 -2 9 9 9 9 -2 11 -2"
					transform="rotate(45 10 10)" />
			</svg>
		</button>

	</div>

</header>